osl::move_probability::SquareX Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::SquareX:

## Public Member Functions

| SquareX ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static int | fromTo (Square to, Square from)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 217 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## SquareX()

osl::move_probability::SquareX::SquareX | ( |  | ) |

inline

Definition at line 221 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), and osl::PTYPE_SIZE.

## Member Function Documentation

## fromTo()

int osl::move_probability::SquareX::fromTo | ( | Square | to,
|  | Square | from )

inline static

Definition at line 224 of file move_probability/feature.h.

References osl::Square::x().

Referenced by match().

## match()

double osl::move_probability::SquareX::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 228 of file move_probability/feature.h.

References osl::move_probability::Feature::dimension(), osl::Move::from(), fromTo(), osl::Move::isDrop(), osl::Move::isPromotion(), osl::move_probability::MoveInfo::move, osl::move_probability::StateInfo::progress8(), osl::Move::ptype(), osl::PTYPE_SIZE, osl::Move::to(), and osl::Square::x().

The documentation for this class was generated from the following file:

- move_probability/feature.h